<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstAttributePosition Method (IEdmVariable5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariable5 Interface : GetFirstAttributePosition Method (IEdmVariable5)

Visual Basic
C#
C++/CLI

bsFileExtension
  Extension of file for which to get attributes, e.g., "DWG" or "DOC"; "" to get all attributes for all file types

Starts an enumeration of the attributes to which this variable is mapped for the specified file type.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstAttributePosition( _
       ByVal bsFileExtension As System.String _
    ) As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstAttributePosition(
       System.string bsFileExtension
    )

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstAttributePosition(
    &   System.String^ bsFileExtension
    )

#### Parameters

bsFileExtension
  Extension of file for which to get attributes, e.g., "DWG" or "DOC"; "" to get all attributes for all file types

#### Return Value

IEdmPos5; position of the first attribute in the enumeration

# Example

Find Data Cards with Description Variable (C#)
Find Data Cards with Description Variable (VB.NET)

# Remarks

A variable in SOLIDWORKS PDM Professional can be mapped to zero or more block-attribute pairs. SOLIDWORKS PDM Professional uses the attributes when transferring data between the file data card and the file, itself. See the main SOLIDWORKS PDM Professional online help for more information.

After calling this method, pass the returned position of the first attribute to IEdmVariable5::GetNextAttribute to get the first attribute in this list. Then call IEdmVariable5::GetNextAttribute repeatedly to get the rest of the attributes.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVariable5 Interface
IEdmVariable5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2